AI Models
Browse supported Vercel AI Gateway models (superadmin only)
Fetches the public Vercel AI Gateway catalog on demand and returns normalized language-model metadata for the registry supported providers. This endpoint does not persist models.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/ai-models/catalog"{ "success": true, "data": [ { "provider": "anthropic", "modelName": "string", "displayName": "string", "description": "string", "tags": [ "string" ], "pricing": { "inputCost": "$3.00 / 1M tokens", "outputCost": "$15.00 / 1M tokens" }, "contextWindow": 1, "maxOutputTokens": 1 } ]}